

set -ex



PASSFAIL="--passfail"
CONDA_CPLR=gcc
NTH=8
test -f $PREFIX/bin/psi4-path-advisor
test -f $PREFIX/share/cmake/psi4/psi4DepsCache.cmake
conda list
git clone https://github.com/psi4/psi4.git
printf "\n\n   <<  I.A psi4-dev@conda --> $CONDA_CPLR Psi4  >>\n\n\n"
cd psi4
PPAOUT="$(psi4-path-advisor --${CONDA_CPLR})"
${PPAOUT}-${CONDA_CPLR} -DCMAKE_INSIST_FIND_PACKAGE_gau2grid=ON -DCMAKE_INSIST_FIND_PACKAGE_Libint=ON -DCMAKE_INSIST_FIND_PACKAGE_pybind11=ON -DCMAKE_INSIST_FIND_PACKAGE_Libxc=ON -DCMAKE_INSIST_FIND_PACKAGE_qcelemental=ON -DCMAKE_INSIST_FIND_PACKAGE_ambit=ON -DCMAKE_INSIST_FIND_PACKAGE_CheMPS2=ON -DCMAKE_INSIST_FIND_PACKAGE_dkh=ON -DCMAKE_INSIST_FIND_PACKAGE_gdma=ON -DCMAKE_INSIST_FIND_PACKAGE_PCMSolver=ON -DCMAKE_INSIST_FIND_PACKAGE_simint=ON

cd objdir-${CONDA_CPLR} && make -j${CPU_COUNT}
sed -r -i     's;^(.!/).*;\1usr/bin/env python;' stage/bin/psi4
PYTHONPATH=stage/lib/ python stage/share/psi4/scripts/test_threading.py --passfail --ldd
PATH=stage/bin/:$PATH PYTHONPATH=stage/lib/ python stage/share/psi4/scripts/test_threading.py ${PASSFAIL} --psiapi -n${NTH}
PATH=stage/bin/:$PATH PYTHONPATH=stage/lib/ python stage/share/psi4/scripts/test_threading.py ${PASSFAIL} --psithon -n${NTH}
printf "\n\n   <<  I.B psi4-dev@conda + $CONDA_CPLR Psi4 --> $CONDA_CPLR plugin  >>\n\n\n"
PLUG="plugdfmp2"
stage/bin/psi4 --plugin-name $PLUG --plugin-template dfmp2
cd $PLUG && `../stage/bin/psi4 --plugin-compile` && make && cd ..
PYTHONPATH=stage/lib/:. python stage/share/psi4/scripts/test_threading.py --passfail --ldd --module="$PLUG/$PLUG"
PATH=stage/bin/:$PATH PYTHONPATH=stage/lib/:. python stage/share/psi4/scripts/test_threading.py --plugin-dfmp2 --module="$PLUG" -n${NTH}
cd ..
cd ..
printf "\n\n   <<  II.A psi4-dev@conda --> Intel Psi4  >>\n\n\n"
cd psi4
PPAOUT="$(psi4-path-advisor --intel)"
source /theoryfs2/common/software/intel2018/bin/compilervars.sh intel64
${PPAOUT}-intel -DCMAKE_INSIST_FIND_PACKAGE_gau2grid=ON -DCMAKE_INSIST_FIND_PACKAGE_Libint=ON -DCMAKE_INSIST_FIND_PACKAGE_pybind11=ON -DCMAKE_INSIST_FIND_PACKAGE_Libxc=ON -DCMAKE_INSIST_FIND_PACKAGE_qcelemental=ON -DCMAKE_INSIST_FIND_PACKAGE_ambit=ON -DCMAKE_INSIST_FIND_PACKAGE_CheMPS2=ON -DCMAKE_INSIST_FIND_PACKAGE_dkh=ON -DCMAKE_INSIST_FIND_PACKAGE_gdma=ON -DCMAKE_INSIST_FIND_PACKAGE_PCMSolver=ON -DCMAKE_INSIST_FIND_PACKAGE_simint=ON

cd objdir-intel && make -j${CPU_COUNT}
sed -r -i 's;^(.!/).*;\1usr/bin/env python;' stage/bin/psi4
PYTHONPATH=stage/lib/ python stage/share/psi4/scripts/test_threading.py --passfail --ldd
PATH=stage/bin/:$PATH PYTHONPATH=stage/lib/ python stage/share/psi4/scripts/test_threading.py --passfail -n${NTH}
printf "\n\n   <<  II.B psi4-dev@conda + Intel Psi4 --> Intel plugin  >>\n\n\n"
PLUG="plugdfmp2"
stage/bin/psi4 --plugin-name $PLUG --plugin-template dfmp2
cd $PLUG && `../stage/bin/psi4 --plugin-compile` && make && cd ..
PYTHONPATH=stage/lib/:. python stage/share/psi4/scripts/test_threading.py --passfail --ldd --module="$PLUG/$PLUG"
PATH=stage/bin/:$PATH PYTHONPATH=stage/lib/:. python stage/share/psi4/scripts/test_threading.py --plugin-dfmp2 --module="$PLUG" -n${NTH}
cd ..
cd ..
printf "\n\n   <<  III.A psi4-dev@conda + psi4@conda  >>\n\n\n"
mkdir package && cd package
conda install psi4 -c psi4/label/dev -y
python $PREFIX/share/psi4/scripts/test_threading.py --passfail --ldd
python $PREFIX/share/psi4/scripts/test_threading.py ${PASSFAIL} --psiapi -n${NTH}
python $PREFIX/share/psi4/scripts/test_threading.py ${PASSFAIL} --psithon -n${NTH}
printf "\n\n   <<  III.B psi4-dev@conda + psi4@conda --> $CONDA_CPLR plugin  >>\n\n\n"
PLUG="plugdfmp2"
psi4 --plugin-name $PLUG --plugin-template dfmp2
cd $PLUG && `psi4 --plugin-compile` && make && cd ..
PYTHONPATH=. python $PREFIX/share/psi4/scripts/test_threading.py --plugin-dfmp2 --module="$PLUG" -n${NTH}
exit 0
